<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: list/test_list.old.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_48c61abad44e2f181b0a6a33afb59c17.html">list</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">test_list.old.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="list_2greatest_8h_source.html">greatest.h</a>&quot;</code><br />
<code>#include &quot;list.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for test_list.old.c:</div>
<div class="dyncontent">
<div class="center"><img src="test__list_8old_8c__incl.png" border="0" usemap="#list_2test__list_8old_8c" alt=""/></div>
<map name="list_2test__list_8old_8c" id="list_2test__list_8old_8c">
<area shape="rect" id="node2" href="list_2greatest_8h.html" title="greatest.h" alt="" coords="216,80,296,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtest__node.html">test_node</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8c2fb584fc5671fea433ac0192a71631"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#a8c2fb584fc5671fea433ac0192a71631">test_insert_first</a> ()</td></tr>
<tr class="separator:a8c2fb584fc5671fea433ac0192a71631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c4625581146ee3cdaa43f3cad45f363"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#a1c4625581146ee3cdaa43f3cad45f363">test_insert_after</a> ()</td></tr>
<tr class="separator:a1c4625581146ee3cdaa43f3cad45f363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49afcb183861e4449a1cf14c1ea5baa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#ab49afcb183861e4449a1cf14c1ea5baa">test_remove_first</a> ()</td></tr>
<tr class="separator:ab49afcb183861e4449a1cf14c1ea5baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4cb12b2b7347f7c9688a784f526d88e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#ae4cb12b2b7347f7c9688a784f526d88e">test_remove</a> ()</td></tr>
<tr class="separator:ae4cb12b2b7347f7c9688a784f526d88e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0520539c3eba682090843f5b21e03560"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#a0520539c3eba682090843f5b21e03560">test_first</a> ()</td></tr>
<tr class="separator:a0520539c3eba682090843f5b21e03560"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac12551ab625e3b162f6ab61005c7b165"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#ac12551ab625e3b162f6ab61005c7b165">test_last</a> ()</td></tr>
<tr class="separator:ac12551ab625e3b162f6ab61005c7b165"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a219f08e493bea56c5fc1d5f8330429c6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#a219f08e493bea56c5fc1d5f8330429c6">test_next</a> ()</td></tr>
<tr class="separator:a219f08e493bea56c5fc1d5f8330429c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4329d28eb5c82691795065301d3572d6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#a4329d28eb5c82691795065301d3572d6">test_insert_at_pos</a> ()</td></tr>
<tr class="separator:a4329d28eb5c82691795065301d3572d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa47bbcba9d73cf11037fd88e5e1d650c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="test__list_8old_8c.html#aa47bbcba9d73cf11037fd88e5e1d650c">SUITE</a> (<a class="el" href="structlist.html">list</a>)</td></tr>
<tr class="separator:aa47bbcba9d73cf11037fd88e5e1d650c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="aa47bbcba9d73cf11037fd88e5e1d650c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa47bbcba9d73cf11037fd88e5e1d650c">&#9670;&nbsp;</a></span>SUITE()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SUITE </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structlist.html">list</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0520539c3eba682090843f5b21e03560"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0520539c3eba682090843f5b21e03560">&#9670;&nbsp;</a></span>test_first()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_first </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1c4625581146ee3cdaa43f3cad45f363"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c4625581146ee3cdaa43f3cad45f363">&#9670;&nbsp;</a></span>test_insert_after()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_insert_after </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4329d28eb5c82691795065301d3572d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4329d28eb5c82691795065301d3572d6">&#9670;&nbsp;</a></span>test_insert_at_pos()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_insert_at_pos </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8c2fb584fc5671fea433ac0192a71631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c2fb584fc5671fea433ac0192a71631">&#9670;&nbsp;</a></span>test_insert_first()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_insert_first </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac12551ab625e3b162f6ab61005c7b165"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac12551ab625e3b162f6ab61005c7b165">&#9670;&nbsp;</a></span>test_last()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_last </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a219f08e493bea56c5fc1d5f8330429c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a219f08e493bea56c5fc1d5f8330429c6">&#9670;&nbsp;</a></span>test_next()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_next </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4cb12b2b7347f7c9688a784f526d88e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4cb12b2b7347f7c9688a784f526d88e">&#9670;&nbsp;</a></span>test_remove()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_remove </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab49afcb183861e4449a1cf14c1ea5baa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab49afcb183861e4449a1cf14c1ea5baa">&#9670;&nbsp;</a></span>test_remove_first()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="list_2greatest_8h.html#ab946e2e7f7679350627acfded8e2658b">TEST</a> test_remove_first </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
